package com.app.linkv.example;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.EditText;

import com.app.linkv.example.view.RegisterBottomButton;
import com.app.linkv.example.view.TitleLayout;
import com.app.live.activity.BaseActivity;
import com.app.livesdk.LinkliveSDK;
import com.app.user.login.development.LoginGetTokenWrapper;
import com.app.user.login.view.activity.LoginSource;

/**
 * Test environment-login page
 */
public class LinkVExampleLogin extends BaseActivity implements View.OnClickListener {
    private EditText edNiceName;
    private EditText edUid;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_development);
        init();
    }

    /**
     * inti
     */
    private void init() {
        RegisterBottomButton btnUid = findViewById(R.id.btn_uid);
        btnUid.setBtnText(getString(R.string.login));

        edNiceName = findViewById(R.id.ed_nice_name);
        edUid = findViewById(R.id.ed_uid);
        btnUid.setOnClickListener(this);


        TitleLayout titleLayout = (TitleLayout) findViewById(R.id.layout_title);
        titleLayout.changeBackVisibility(View.VISIBLE);
        titleLayout.changeRightBtnVisibility(View.GONE);
        titleLayout.setTitleClickListener(new TitleLayout.TitleClickListener() {
            @Override
            public void onBackClicked() {
                onBackPressed();
            }

            @Override
            public void onRightBtnClicked() {

            }
        });
    }

    @Override
    public void onBackPressed() {
        super.onBackPressed();
    }

    public static void launchAct(Context ctx, int from) {
        if (ctx == null)
            return;
        Intent intent = getBaseIntent(ctx, LinkVExampleLogin.class);

        intent.putExtra(LoginSource.LOGIN_PARAM_FROM, from);

        ctx.startActivity(intent);
    }

    @Override
    public void onClick(View v) {

        String uid = edUid.getText().toString();//login ID
        if (TextUtils.isEmpty(uid)) {
            showToast("Please enter login ID");
            return;
        }
        String name = edNiceName.getText().toString();//nickname
        if (TextUtils.isEmpty(name)) {
            showToast("Please enter a nickname");
            return;
        }
        showLoading();
        //Quick login-test environment available
        fastLogin(uid,name);
    }

    /**
     * Quick login example method
     */
    private void fastLogin(String uid, String name){
       // Debug environment available only, in a production environment, you need to request user information from your server.
        LinkliveSDK.getInstance().bindingTokenWithUid(uid, name, new LoginGetTokenWrapper.OnBindingTokenListener() {
            @Override
            public void onRequestSuccess(String uid, String openId, String token) {
                //Get token login
                LinkliveSDK.getInstance().onLoginSuccess(uid, openId, token);
                //Jump page
                startActivity(new Intent(LinkVExampleLogin.this, MainActivity.class));
                finish();
            }

            @Override
            public void onRequestFail(String msg) {
                hideLoading();
                showToast("Login failed");
            }
        });

    }
}
