package com.app.linkv.example;

import android.app.Application;
import androidx.multidex.MultiDex;
import com.app.livesdk.LinkliveSDK;
import com.app.livesdk.TokenCallback;

public class MyApp extends Application  {
    @Override
    public void onCreate() {
        super.onCreate();
        // Maximum number of solutions 65536
        MultiDex.install(this);
        //Set SDK callback
        LinkliveSDK.getInstance().setLinkliveInterface(new LinkliveImpl());

        //The appid and app_secret are obtained after the application is created by registering the developer platform. The appid and app_secret below are for testing purposes only
        String appID = getResources().getString(R.string.linklive_app_id);
        String appSecret = getResources().getString(R.string.linklive_app_secret);
        //initSDK
        LinkliveSDK.getInstance().initSDK(this, appID,appSecret ,new TokenCallback() {
            /**
             * Token invalid callback
             * @param url
             * @param status
             * @param rawResponse
             */
            @Override
            public void onTokenExpire(String url, int status, String rawResponse) {

            }
            /**
             * Call back this function when the current user is blocked in the live broadcast room.
             */
            @Override
            public void onUserBlocked() {

            }
        });
    }
}
