package com.app.linkv.example;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.app.live.activity.BaseActivity;
import com.app.livesdk.LinkliveSDK;
import com.app.user.account.AccountManager;
import com.app.user.login.view.activity.START_LOGIN_PARAM;

public class WelcomeActivity extends BaseActivity {

    private TextView mTvLogin;
    private TextView mTvBroadcastList;
    private TextView mTvStartBroadcast;
    protected int mFrom = START_LOGIN_PARAM.FROM_START;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_welcome);

        initView();
        updateData();
        initEvent();
    }


    private void initView() {
        mTvLogin = findViewById(R.id.tv_login);
        mTvBroadcastList = findViewById(R.id.tv_broadcast_list);
        mTvStartBroadcast = findViewById(R.id.tv_start_broadcast);
    }
    private void initEvent() {
        mTvLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                    //Login/Logout
                if (!AccountManager.getInst().isAccountLogIn()) {
                    LinkVExampleLogin.launchAct(WelcomeActivity.this, mFrom);
                } else {
                    LinkliveSDK.getInstance().onLogout();
                    updateData();
                }

            }
        });

        mTvBroadcastList.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent2 = new Intent(WelcomeActivity.this, MainActivity.class);
                startActivity(intent2);
            }
        });

        mTvStartBroadcast.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                LinkliveSDK.getInstance().startBroadcast(WelcomeActivity.this);
            }
        });
    }

    private void updateData() {
        if (mTvLogin!=null){
            if (LinkliveSDK.getInstance().isAccountLogIn()) {
                mTvLogin.setText("Log out");
            } else {
                mTvLogin.setText("Login");
            }
        }
    }
    @Override
    protected void onResume() {
        super.onResume();
        updateData();

    }


}
